//+------------------------------------------------------------------+
//|                                                   PivotsD_v6.mq4 |
//|                                         Copyright  2011, brax64 |
//|                                         http://www.forex-tsd.com |
//+------------------------------------------------------------------+

// This indicator is using the core of the PivotsD_v5 indicator
// coded by traderathome (traderathome@msn.com) and Domas4.
// plus the ATR part coded by mladen at forex-tsd
// To them my gratitude and acknowledgment.
// It's a kind of improvement ( at least I think so... :) )
// for that I've decided to keep the name with updated version (6).
//
// This indicator calculate pivot points in 3 different way and for 3 different time frame.
//
// Main settings description:
//
// "UniqueID = PivotsD_v6"             : Change this string to attach to the same chart another instance of the indicator.
//
// "TF = 1"                            : Levels calculated from the last 4 hours closed bar.
//
// "TF = 2"                            : Levels calculated from the last daily closed bar.
//                                       Skip Sunday data automatically, will update on Monday.
//
// "TF = 3"                            : Levels calculated from the last weekly closed bar.
//
// "Levels_Applied_To_Open = true" and
// "Show_Classic_Pivot doesn't matter" : sum/subtract, to the open of the selected time frame,
//                                       the 23.6%, 38.2%, 61.8%, 82%, 100%, 138.2% and 161.8% of the calculated range.
//                                       mode - Fibo level applied to the Open.
//
// "Levels_Applied_To_Open = false" and
// "Show_Classic_Pivot     = false"    : sum/subtract, to the pivot of the selected time frame,
//                                       the 23.6%, 38.2%, 61.8%, 82%, 100%, 138.2% and 161.8% of the calculated range.
//                                       mode - Fibo level applied to the Pivot.
// 
// "Levels_Applied_To_Open = false" and
// "Show_Classic_Pivot     = true"     : Pivot point, support and resistance of the selected time frame, calculated in the classical way.
//                                       mode - Classic Pivot, Support, Resistance.
//
// "Indicator_On = false"              : the levels are not shown, so you can temporary eliminate the levels from the chart without delete the indicator.
//
// "Show_ATR_Levels = true"            : will plot the extimated High and Low for the day calculated by "ATRPeriod" value;
//                                       not shown if period > D1.
//                                       Skip Sunday data automatically, will update on Monday.
//
// "Show_DayCandle = true"             : to plot the daily candle.
//
// "Show_Reminder = true"              : labels in the selected corner to remind the main settings of the indicator and others statistical data.
//
// Lines and labels are fully customizable.
//

// brax64

#property copyright "Copyright  2011, brax64"
#property link      "http://www.forex-tsd.com"

#property indicator_chart_window
#property indicator_buffers 4

#property indicator_color1 DimGray
#property indicator_color2 DimGray
#property indicator_color3 DeepSkyBlue
#property indicator_color4 Red
#property indicator_width1 2
#property indicator_width2 2
#property indicator_width3 8
#property indicator_width4 8

extern string note0                       = "P i v o t s D  _  v 6";
extern string note1                       = "brax64";
extern string note2                       = "http://www.forex-tsd.com";
extern string a1                          = "";
extern string Part_1                      = "Main Setting:";
extern string _                           = "";
extern string UniqueID                    = "PivotsD_v6";
extern int    TF                          = 2;
extern bool   Levels_Applied_To_Open      = false;
extern bool   Show_Classic_Pivot          = false;
extern bool   Indicator_On                = true;
extern bool   Show_ATR_Levels             = true;
extern int    ATRPeriod                   = 10;  
extern bool   Show_DayCandle              = true;
extern int    Shift_DayCandle_right       = 20;
extern bool   Show_Reminder               = true;
extern int    Reminder_Corner             = 0;
extern color  Reminder_Color              = Gold;
extern string a2                          = "";
extern string Part_2                      = "Level Lines Setting:";
extern string note20                      = "Stop_Lines_At > 0 lines extended right";
extern string note21                      = "Stop_Lines_At < 0 lines extended left";
extern string note22                      = "Stop_Lines_At = 1 no lines.";
extern string note23                      = "Start point lines: current bar + 1.";
extern string __                          = "";
extern int    Stop_Lines_At               = 18;
extern bool   Draw_Line_in_Background     = false;
extern int    Pivot_LineStyle             = 0;
extern int    Pivot_LineThickness         = 2;
extern color  Pivot_LineColor             = LightGray;
extern int    up_LineStyle                = 0;
extern int    up_LineThickness            = 0;
extern color  up_LineColor                = DeepSkyBlue;
extern int    dn_LineStyle                = 0;
extern int    dn_LineThickness            = 0;
extern color  dn_LineColor                = Red;
extern int    Open_LineStyle              = 4;
extern int    Open_LineThickness          = 0;
extern color  Open_LineColor              = SpringGreen;
extern string a3                          = "";
extern string Part_3                      = "Level Labels Setting:";
extern string note30                      = "Labels_Shift > 0 shift labels right";
extern string note31                      = "Labels_Shift < 0 shift labels left";
extern string note32                      = "respect to the current bar.";
extern string ___                         = "";
extern bool   Show_Price                  = true;
extern bool   Draw_Labels_in_Background   = false;
extern int    Labels_Shift                = 10;
extern string Labels_FontStyle            = "Arial Black";
extern int    Labels_FontSize             = 9;
extern color  up_LabelColor               = DeepSkyBlue;
extern color  dn_LabelColor               = Red;
extern color  Pivot_LabelColor            = LightGray;
extern color  Open_LabelColor             = SpringGreen;
extern string a4                          = "";
extern string Part_4                      = "ATR Lines & Labels Setting:";
extern string ____                        = "";
extern int    ATRup_LineStyle             = 0;
extern int    ATRdn_LineStyle             = 0;
extern color  ATRup_LineColor             = DeepSkyBlue;
extern color  ATRdn_LineColor             = Red;
extern int    ATRLines_Shift              = 22;
extern int    ATRLabels_Shift             = 32;
extern string ATRLabels_FontStyle         = "Arial Black";
extern int    ATRLabels_FontSize          = 9;




//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
 
int    i, limit, dig, modifier, dow ,CalcPeriod, day1shift, day2shift, week, fourH;
bool   Show_Fib_Pivot, Show_Open;
double DayHigh[], DayLow[], DayOpen[], DayClose[];
double U236, U382, U618, U820, U1000, U1382, U1618;
double D236, D382, D618, D820, D1000, D1382, D1618;
double R1, R2, R3, S1, S2, S3;
double Pivot, k;
double HiPrice, LoPrice, Range, OpenPrice, ClosePrice;
double HiToday, LoToday, open, current, change;
double LowToday, HighToday, OpenToday, LowYesterday, HighYesterday, RangeToday, fullatr, fullatr1;
string Plabel, Olabel, tf, mode, timeframe, dowStr, rmndr1, rmndr2;
string u236label, u382label, u618label, u820label, u1000label, u1382label, u1618label;
string d236label, d382label, d618label, d820label, d1000label, d1382label, d1618label;
string R1_Label, R2_Label, R3_Label, S1_Label, S2_Label, S3_Label;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
{
   Show_Fib_Pivot = false;
   Show_Open      = false;
   
   dig            = MarketInfo(Symbol(), MODE_DIGITS);
   modifier       = 1;
      if(dig == 3 || dig == 5) modifier = 10;
      
   if(Levels_Applied_To_Open) Show_Open      = true; 
   else                       Show_Fib_Pivot = true;
   
   SetIndexBuffer(0, DayHigh);
   SetIndexBuffer(1, DayLow);
   SetIndexBuffer(2, DayClose);
   SetIndexBuffer(3, DayOpen);
   
   if(Show_DayCandle)
      {
         for (i=0;i<4;i++)
            {
               SetIndexStyle(i, DRAW_HISTOGRAM);
               SetIndexShift(i, Shift_DayCandle_right);
               SetIndexLabel(i, UniqueID + "DayCandle");
            }
      }            
   else
      {
         for(i=0;i<4;i++) SetIndexStyle(i, DRAW_NONE);
      }
   
   return(0);
}
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+

int deinit()
{
   string lookFor       = UniqueID;
   int    lookForLength = StringLen(lookFor);   
   for(i = ObjectsTotal() - 1; i >= 0; i--)
   {
      string name = ObjectName(i);
         if(StringSubstr(name, 0, lookForLength) == lookFor) ObjectDelete(name);
   }         
   return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
{
   deinit();if(Indicator_On == false) return(0);
   
   day1shift = 0;            if(TimeDayOfWeek(iTime(NULL, PERIOD_D1, day1shift)) == 0) day1shift++;
   day2shift = day1shift+1;  if(TimeDayOfWeek(iTime(NULL, PERIOD_D1, day2shift)) == 0) day2shift++;
	
   if(Show_DayCandle)
      {
         HiToday  = iHigh  (NULL, PERIOD_D1, day1shift);
         LoToday  = iLow   (NULL, PERIOD_D1, day1shift);
         open     = iOpen  (NULL, PERIOD_D1, day1shift);
         current  = iClose (NULL, PERIOD_D1, day1shift);
         change   = (current - iOpen(NULL, PERIOD_D1, day1shift)) / (Point * modifier);
         
         if(change > 0)
            {
               DayHigh[day1shift] = HiToday;
               DayLow [day1shift] = LoToday;
            }            
         else
            {
               DayHigh[day1shift] = LoToday;
               DayLow [day1shift] = HiToday;
            }
                     
         DayClose[day1shift] = current;
         DayOpen [day1shift] = open + 0.000001;
         for(i = 0, limit = Bars - 1; i < 4; i++) SetIndexDrawBegin(i, limit);
      }
	
   if(Show_ATR_Levels)
      {
         if(Period() > PERIOD_D1) return(-1);
   
         fullatr   = iATR  (NULL, PERIOD_D1, ATRPeriod, day2shift);
         LowToday  = iHigh (NULL, PERIOD_D1, day1shift) - fullatr;
         HighToday = iLow  (NULL, PERIOD_D1, day1shift) + fullatr;
         
         ATRLine   (" LT",       LowToday,  ATRdn_LineColor, ATRdn_LineStyle);
         ATRLine   (" HT",       HighToday, ATRup_LineColor, ATRup_LineStyle );
         ATRLabel  (" ATR Low",  LowToday,  ATRdn_LineColor, "ATR Low  (" + ATRPeriod + ") " + DoubleToStr(LowToday,dig));
         ATRLabel  (" ATR High", HighToday, ATRup_LineColor, "ATR High (" + ATRPeriod + ") " + DoubleToStr(HighToday,dig));
         
         if(Levels_Applied_To_Open == false)
            {
               OpenToday = iOpen(NULL, PERIOD_D1, day1shift);
               ATRLine  (" OT",  OpenToday, Open_LineColor,  Open_LineStyle );
               ATRLabel (" OTl", OpenToday, Open_LabelColor, "Open               " + DoubleToStr(OpenToday,dig));
            }
      }

   switch(TF)
      {
         case 1:
            CalcPeriod = PERIOD_H4;
            tf         = "H4";
            timeframe  = "4 Hours";
            fourH      = iBarShift(Symbol(), CalcPeriod, Time[0], false);
            OpenPrice  = NormalizeDouble (iOpen  (NULL, CalcPeriod, fourH), 4);
            HiPrice    = NormalizeDouble (iHigh  (NULL, CalcPeriod, fourH + 1), 4); 
            LoPrice    = NormalizeDouble (iLow   (NULL, CalcPeriod, fourH + 1), 4);
            ClosePrice = NormalizeDouble (iClose (NULL, CalcPeriod, fourH + 1), 4);
            break;
         
         case 2:
            CalcPeriod = PERIOD_D1;
            tf         = "D1";
            timeframe  = "Daily";
            OpenPrice  = NormalizeDouble (iOpen  (NULL, CalcPeriod, day1shift), 4);
            HiPrice    = NormalizeDouble (iHigh  (NULL, CalcPeriod, day2shift), 4); 
            LoPrice    = NormalizeDouble (iLow   (NULL, CalcPeriod, day2shift), 4);
            ClosePrice = NormalizeDouble (iClose (NULL, CalcPeriod, day2shift), 4);
            break;
         
         case 3:
            CalcPeriod = PERIOD_W1;
            tf         = "W1";
            timeframe  = "Weekly";
            week       = iBarShift(Symbol(), CalcPeriod, Time[0], false);
            OpenPrice  = NormalizeDouble (iOpen  (NULL, CalcPeriod, week), 4);
            HiPrice    = NormalizeDouble (iHigh  (NULL, CalcPeriod, week + 1), 4); 
            LoPrice    = NormalizeDouble (iLow   (NULL, CalcPeriod, week + 1), 4);
            ClosePrice = NormalizeDouble (iClose (NULL, CalcPeriod, week + 1), 4);
            break;
      }
      
 	Pivot = NormalizeDouble ((HiPrice + LoPrice + ClosePrice) / 3, 4);
   Range = HiPrice - LoPrice;
   
   if(Show_Open)
      {
         u236label  = "+ 23.6%  ";
         u382label  = "+ 38.2%  ";
         u618label  = "+ 61.8%  ";
         u820label  = "+ 82.0%  ";
         u1000label = "+ 100.0% ";
         u1382label = "+ 138.2% ";
         u1618label = "+ 161.8% ";
         d236label  = "- 23.6%  ";
         d382label  = "- 38.2%  ";
         d618label  = "- 61.8%  ";
         d820label  = "- 82.0%  ";
         d1000label = "- 100.0% ";
         d1382label = "- 138.2% ";
         d1618label = "- 161.8% ";
         Olabel     = "Open (" + tf + ")";
         mode       = "Levels applied to Open price";
         k          = OpenPrice;
         DrawLine  ("Open", k, Open_LineColor, Open_LineStyle, Open_LineThickness);
         DrawLabel (Olabel, k, Open_LabelColor);        
      }   
    
   if(Show_Fib_Pivot && Show_Classic_Pivot == false)
      {
         u236label  = "F R1          ";
         u382label  = "F R2          ";
         u618label  = "F R3          ";
         u820label  = "F R4          ";
         u1000label = "F R5          ";
         u1382label = "F R6          ";
         u1618label = "F R7          ";
         d236label  = "F S1          ";
         d382label  = "F S2          ";
         d618label  = "F S3          ";
         d820label  = "F S4          ";
         d1000label = "F S5          ";
         d1382label = "F S6          ";
         d1618label = "F S7          ";
         Plabel     = "F Pivot (" + tf + ")";
         mode       = "Fibonacci Pivot";
         k          = Pivot;
         DrawLine  ("Pivot", k, Pivot_LineColor, Pivot_LineStyle, Pivot_LineThickness);
         DrawLabel (Plabel, k, Pivot_LabelColor);         
      }  
   
   if(Show_Fib_Pivot && Show_Classic_Pivot)
      {
         Plabel   = "C Pivot (" + tf + ")";
         R1_Label = "C R1          ";
         R2_Label = "C R2          ";
         R3_Label = "C R3          ";
         S1_Label = "C S1          ";
         S2_Label = "C S2          ";
         S3_Label = "C S3          ";
         mode     = "Classic Pivot";
         k        = Pivot;
         
         R1       = (2 * k) - LoPrice;
         S1       = (2 * k) - HiPrice;
         R2       = k + (R1 - S1);
         S2       = k - (R1 - S1); 
         R3       = (2 * k) + ( HiPrice - (2 * LoPrice));
         S3       = (2 * k) - ((2 * HiPrice) - LoPrice); 
            
         DrawLabel (Plabel, k, Pivot_LabelColor);
         DrawLine  ("Pivot", k, Pivot_LineColor, Pivot_LineStyle, Pivot_LineThickness);
         DrawLabel (R1_Label, R1, dn_LabelColor);
         DrawLine  ("R1", R1, dn_LineColor, dn_LineStyle, dn_LineThickness);
         DrawLabel (R2_Label, R2, dn_LabelColor);
         DrawLine  ("R2", R2, dn_LineColor, dn_LineStyle, dn_LineThickness);
         DrawLabel (R3_Label, R3, dn_LabelColor);
         DrawLine  ("R3", R3, dn_LineColor, dn_LineStyle, dn_LineThickness);
         DrawLabel (S1_Label, S1, up_LabelColor);
         DrawLine  ("S1", S1, up_LineColor, up_LineStyle, up_LineThickness);
         DrawLabel (S2_Label, S2, up_LabelColor);
         DrawLine  ("S2", S2, up_LineColor, up_LineStyle, up_LineThickness);
         DrawLabel (S3_Label, S3, up_LabelColor);
         DrawLine  ("S3", S3, up_LineColor, up_LineStyle, up_LineThickness);
         
         if(Show_Reminder) Reminder();
         
         return(0);
      }

   U236  = k + (Range*0.236);
   U382  = k + (Range*0.382);
   U618  = k + (Range*0.618);
   U820  = k + (Range*0.820);
   U1000 = k +  Range;
   U1382 = k + (Range*1.382);
   U1618 = k + (Range*1.618);
   D236  = k - (Range*0.236);
   D382  = k - (Range*0.382);
   D618  = k - (Range*0.618);
   D820  = k - (Range*0.820);
   D1000 = k -  Range;
   D1382 = k - (Range*1.382);
   D1618 = k - (Range*1.618);

   DrawLabel (u236label, U236, up_LabelColor);
   DrawLine  ("U236", U236, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (u382label, U382, up_LabelColor);
   DrawLine  ("U382", U382, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (u618label, U618, up_LabelColor);
   DrawLine  ("U618", U618, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (u820label, U820, up_LabelColor);
   DrawLine  ("U820", U820, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (u1000label, U1000, up_LabelColor);
   DrawLine  ("U1000", U1000, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (u1382label, U1382, up_LabelColor);
   DrawLine  ("U1382", U1382, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (u1618label, U1618, up_LabelColor);
   DrawLine  ("U1618", U1618, up_LineColor, up_LineStyle, up_LineThickness);
   DrawLabel (d236label, D236, dn_LabelColor);
   DrawLine  ("D236", D236, dn_LineColor, dn_LineStyle, dn_LineThickness);
   DrawLabel (d382label, D382, dn_LabelColor);
   DrawLine  ("D382", D382, dn_LineColor, dn_LineStyle, dn_LineThickness);
   DrawLabel (d618label, D618, dn_LabelColor);
   DrawLine  ("D618", D618, dn_LineColor, dn_LineStyle, dn_LineThickness);
   DrawLabel (d820label, D820, dn_LabelColor);
   DrawLine  ("D820", D820, dn_LineColor, dn_LineStyle, dn_LineThickness);
   DrawLabel (d1000label, D1000, dn_LabelColor);
   DrawLine  ("D1000", D1000, dn_LineColor, dn_LineStyle, dn_LineThickness);
   DrawLabel (d1382label, D1382, dn_LabelColor);
   DrawLine  ("D1382", D1382, dn_LineColor, dn_LineStyle, dn_LineThickness);
   DrawLabel (d1618label, D1618, dn_LabelColor);
   DrawLine  ("D1618", D1618, dn_LineColor, dn_LineStyle, dn_LineThickness);
   
   if(Show_Reminder) Reminder();
   
   return(0);
}

//+-------------------------------------------------------------------------------------------+
//| drawLabel sub-routine to name and draw labels for level lines                             |                                                        
//+-------------------------------------------------------------------------------------------+ 

void DrawLabel(string text, double level, color Color)
{  
   string L_label = UniqueID + text + " Label";
   string   Price = DoubleToStr(level, dig);
   int       time = Time[0]+Period()*Labels_Shift*60;
   bool       bkg = false;
   
   if(Draw_Labels_in_Background)            bkg  = true;
   if(Show_Price && StrToInteger(text)==0)  text = text + "  " + Price;
   
   if(ObjectFind(L_label) != 0)
      {      
         ObjectCreate  (L_label, OBJ_TEXT, 0, time, level);       
         ObjectSetText (L_label, text, Labels_FontSize, Labels_FontStyle, Color);
         ObjectSet     (L_label, OBJPROP_BACK, bkg);
         if(TF == 1)
            {        
               ObjectSet  (L_label, OBJPROP_FONTSIZE, 7);
               Labels_FontStyle = "Tahoma";
               WindowRedraw();
            }
      }    
   else
      {
         ObjectMove (L_label, 0, time, level);
      }            
}
   
//+-------------------------------------------------------------------------------------------+
//| drawline sub-routine to name and draw levels lines                                        |
//+-------------------------------------------------------------------------------------------+
     
void DrawLine(string text, double price, color Color, int linestyle, int thickness)
{
   string L_line = UniqueID + text + " Line";   
  
   int      a = linestyle;
   int      b = thickness;
   int      c = 1; if(a == 0) c = b;   
   int  start = Time[0] + Period() * 60;
   int  stop  = Time[0] + Period() * 60 * Stop_Lines_At;
   bool bkg   = false;
   
   if(Draw_Line_in_Background)  bkg = true;
   if(Stop_Lines_At < 0)      start = Time[0] - Period() * 60;
      
   if(ObjectFind(L_line) != 0)
      {
         ObjectCreate  (L_line, OBJ_TREND, 0, start, price, stop, price);                            
         ObjectSet     (L_line, OBJPROP_STYLE, a);              
         ObjectSet     (L_line, OBJPROP_WIDTH, c);     
         ObjectSet     (L_line, OBJPROP_COLOR, Color);
         ObjectSet     (L_line, OBJPROP_BACK, bkg);
         ObjectSet     (L_line, OBJPROP_RAY, false);
      }            
   else
      {
         ObjectMove (L_line, 0, start, price);         
         ObjectMove (L_line, 1, stop,  price);
      }  
}

//+-------------------------------------------------------------------------------------------+
//| ATRLine sub-routine to name and draw ATR levels                                           |
//+-------------------------------------------------------------------------------------------+

void ATRLine(string name, double price, color theColor, int style=0, int width=1)
{
   name = UniqueID + name;
      ObjectCreate (name, OBJ_TREND, 0,   Time[0] + Period() * ATRLines_Shift * 60, price, Time[0] + (ATRLines_Shift + 1) * 60, price);
      ObjectSet    (name, OBJPROP_TIME1,  Time[0] + Period() * ATRLines_Shift * 60);
      ObjectSet    (name, OBJPROP_TIME2,  Time[0] + Period() * (ATRLines_Shift + 1) * 60);
      ObjectSet    (name, OBJPROP_PRICE1, price);
      ObjectSet    (name, OBJPROP_PRICE2, price);
      ObjectSet    (name, OBJPROP_COLOR,  theColor);
      ObjectSet    (name, OBJPROP_STYLE,  style);
      ObjectSet    (name, OBJPROP_WIDTH,  width);
}

//+-------------------------------------------------------------------------------------------+
//| ATRLine sub-routine to name and draw ATR levels                                           |
//+-------------------------------------------------------------------------------------------+

void ATRLabel(string name, double price, color theColor, string text)
{
   name = UniqueID + name;
      ObjectCreate  (name, OBJ_TEXT, 0,   Time[0] + Period() * ATRLabels_Shift * 60, price);
      ObjectSet     (name, OBJPROP_TIME1, Time[0] + Period() * ATRLabels_Shift * 60);
      ObjectSet     (name, OBJPROP_PRICE1, price);
      ObjectSetText (name, text, ATRLabels_FontSize, ATRLabels_FontStyle, theColor);
}

//+-------------------------------------------------------------------------------------------+
//| Reminder sub-routine                                                                      |
//+-------------------------------------------------------------------------------------------+

void Reminder()
{
   day1shift     = 0;             if(TimeDayOfWeek(iTime(NULL, PERIOD_D1, day1shift)) == 0) day1shift++;
   day2shift     = day1shift + 1; if(TimeDayOfWeek(iTime(NULL, PERIOD_D1, day2shift)) == 0) day2shift++;
   rmndr1        = UniqueID + "rmndr1";
	rmndr2        = UniqueID + "rmndr2";
	dow           = TimeDayOfWeek(iTime(NULL, PERIOD_D1, day1shift));
	switch(dow)
	   {
         case 0: dowStr = "S u n d a y";       break;
         case 1: dowStr = "M o n d a y";       break;       
         case 2: dowStr = "T u e s d a y";     break;
         case 3: dowStr = "W e d n e s d a y"; break;
         case 4: dowStr = "T h u r s d a y";   break;
         case 5: dowStr = "F r i d a y";       break;	 	   
      }
   
   fullatr1      = iATR    (NULL, PERIOD_D1, ATRPeriod, day1shift) / (Point * modifier);
   LowYesterday  = iLow    (NULL, PERIOD_D1, day2shift);
   HighYesterday = iHigh   (NULL, PERIOD_D1, day2shift);
   LowToday      = iHigh   (NULL, PERIOD_D1, day1shift);
   HighToday     = iLow    (NULL, PERIOD_D1, day1shift);
   RangeToday    = MathAbs (HighToday - LowToday) / (Point * modifier);
   string ATR    = UniqueID + "ATR";
   string HY     = UniqueID + "HY";
   string LY     = UniqueID + "LY";
   string RT     = UniqueID + "RT";
   int    Xdist  = 15;
   int    Ydist  = 15;
   int  Yoffset  = 14;
   
   ObjectCreate (rmndr1, OBJ_LABEL, 0, 0, 0);
   ObjectSet    (rmndr1, OBJPROP_CORNER, Reminder_Corner);
   ObjectSet    (rmndr1, OBJPROP_XDISTANCE, Xdist);
   ObjectSet    (rmndr1, OBJPROP_YDISTANCE, Ydist);
   ObjectSet    (rmndr1, OBJPROP_BACK, true);
   ObjectSetText(rmndr1, "P i v o t s D _ v 6 - " + dowStr, 9, "Tahoma", Silver);
   
   ObjectCreate (rmndr2, OBJ_LABEL, 0, 0, 0);
   ObjectSet    (rmndr2, OBJPROP_CORNER, Reminder_Corner);
   ObjectSet    (rmndr2, OBJPROP_XDISTANCE, Xdist);
   ObjectSet    (rmndr2, OBJPROP_YDISTANCE, Ydist + Yoffset);
   ObjectSet    (rmndr2, OBJPROP_BACK, true);
   ObjectSetText(rmndr2, "Mode : " + mode + " - " + timeframe, 9, "Tahoma", Reminder_Color);
   
   ObjectCreate (ATR, OBJ_LABEL, 0, 0, 0);
   ObjectSet    (ATR, OBJPROP_CORNER, Reminder_Corner);
   ObjectSet    (ATR, OBJPROP_XDISTANCE, Xdist);
   ObjectSet    (ATR, OBJPROP_YDISTANCE, Ydist + Yoffset*2);
   ObjectSet    (ATR, OBJPROP_BACK, true);
   ObjectSetText(ATR, "ATR (" + ATRPeriod + ")         : " + DoubleToStr(fullatr1, 1) + " pips", 9, "Tahoma", Reminder_Color);
   
   ObjectCreate (HY, OBJ_LABEL, 0, 0, 0);
   ObjectSet    (HY, OBJPROP_CORNER, Reminder_Corner);
   ObjectSet    (HY, OBJPROP_XDISTANCE, Xdist);
   ObjectSet    (HY, OBJPROP_YDISTANCE, Ydist + Yoffset*3);
   ObjectSet    (HY, OBJPROP_BACK, true);
   ObjectSetText(HY, "High Yesterday : " + DoubleToStr(HighYesterday, dig), 9, "Tahoma", Reminder_Color);
   
   ObjectCreate (LY, OBJ_LABEL, 0, 0, 0);
   ObjectSet    (LY, OBJPROP_CORNER, Reminder_Corner);
   ObjectSet    (LY, OBJPROP_XDISTANCE, Xdist);
   ObjectSet    (LY, OBJPROP_YDISTANCE, Ydist + Yoffset*4);
   ObjectSet    (LY, OBJPROP_BACK, true);
   ObjectSetText(LY, "Low Yesterday : " + DoubleToStr(LowYesterday, dig), 9, "Tahoma", Reminder_Color);
   
   ObjectCreate (RT, OBJ_LABEL, 0, 0, 0);
   ObjectSet    (RT, OBJPROP_CORNER, Reminder_Corner);
   ObjectSet    (RT, OBJPROP_XDISTANCE, Xdist);
   ObjectSet    (RT, OBJPROP_YDISTANCE, Ydist + Yoffset*5);
   ObjectSet    (RT, OBJPROP_BACK, true);
   ObjectSetText(RT, "Range Today    : " + DoubleToStr(RangeToday, 1), 9, "Tahoma", Reminder_Color);
}